Summary: An X Windows System programming environment.
Name: xwpe
%define	version	1.5.23a
Version: %{version}
Release: 4
Copyright: GPL
Url: http://www.rpi.edu/~payned/xwpe
Group: Development/Tools
Source: http://www.identicalsoftware.com/xwpe/xwpe-%{version}.tar.gz
Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-root

%description
Xwpe is an X Window System programming environment similar to the
Borland C++ or Turbo Pascal environments.  If you've used some of the
MS Windows IDEs and you've longed for an X equivalent, this may be
what you're looking for.  The xwpe system includes four programs: xwpe
(the X11 programming environment), xwe (the X11 text editor without
the programming environment), wpe (the programming environment for
ASCII terminals) and we (the text editor for ASCII terminals).  This
package just includes the basic xwpe libraries and the text-mode
programs (wpe and we). The X Window System programs (xwpe and xwe) are
included in the xwpe-X11 package, which you'll also need to install.

%package X11
Summary: The X programs needed for the Xwpe programming environment.
Group: Development/Libraries

%description X11
Xwpe is an X Window System programming environment similar to the
Borland C++ or Turbo Pascal environments.  If you've used some of the
MS Windows IDEs and you've longed for an X equivalent, this may be what
you're looking for.  The xwpe system includes four programs: xwpe (the
X11 programming environment), xwe (the X11 text editor without the
programming environment), wpe (the programming environment for ASCII
terminals) and we (the text editor for ASCII terminals).  This package
just includes the Xwpe X Window System programs (xwpe and xwe).  The
basic xwpe libraries and the text-mode programs (wpe and we) are
included in the xwpe package, which you'll also need to install.

%prep
%setup -q

%build
./configure --prefix=%{prefix} --mandir=%{_mandir}
make 

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr
make prefix=$RPM_BUILD_ROOT/usr MANDIR=$RPM_BUILD_ROOT%{_mandir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGELOG COPYING
/usr/bin/we
/usr/bin/wpe
/usr/lib/xwpe
%{_mandir}/man1/wpe.1*
%{_mandir}/man1/we.1*

%files X11
%defattr(-,root,root)
%doc COPYING CHANGELOG README
%{_mandir}/man1/xwpe.1*
%{_mandir}/man1/xwe.1*
/usr/bin/xwe
/usr/bin/xwpe

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- clean up specfile

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon May 29 2000 Karsten Hopp <karsten@redhat.de>
- updated to 1.5.23a

* Thu Dec 2 1999 Tim Powers <timp@redhat.com>
- updated to 1.5.21a

* Thu Jul 1 1999 Tim Powers <timp@redhat.com>
- update to 1.5.18a

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.5.14a.

* Mon Dec 28 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.5.13a.

* Tue Dec 15 1998 Bill Nottingham <notting@redhat.com>
- fix for glibc2.1

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.5.12a.

* Thu Aug 20 1998 Jeff Johnson <jbj!redhat.com>
- update to 1.5.11a.

* Sun Jul 26 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.5.10a.

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.5.9a.

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed source and patch urls
- added URL tag

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
